Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.model
Class DataModelEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.model.DataModelEvent

All Implemented Interfaces:
  java.io.Serializable

public class DataModelEvent
extends java.util.EventObject

Version:
  $Revision: 291104 $ $Date: 2005-09-23 08:01:10 -0400 (Fri, 23 Sep 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: bdudney $)
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DataModelEvent(DataModel _model, int _index, java.lang.Object _data)`

Method Summary
`DataModel` | `getDataModel()`
`java.lang.Object` | `getRowData()`
`int` | `getRowIndex()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataModelEvent

    public DataModelEvent(DataModel _model,
                          int _index,
                          java.lang.Object _data)

Method Detail

### getDataModel

    public DataModel getDataModel()

### getRowData

    public java.lang.Object getRowData()

### getRowIndex

    public int getRowIndex()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD